gtkmm: Gtk::NotebookPage Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::NotebookPage Class Reference

Holds properties of a Gtk::Notebook page. More...

`#include <gtkmm/notebookpage.h>`

Inheritance diagram for Gtk::NotebookPage:
[legend]

## Public Member Functions
| NotebookPage (NotebookPage &&src) noexcept
NotebookPage & | operator= (NotebookPage &&src) noexcept
| ~NotebookPage () noexcept override
GtkNotebookPage * | gobj ()
| Provides access to the underlying C GObject.
const GtkNotebookPage * | gobj () const
| Provides access to the underlying C GObject.
GtkNotebookPage * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Widget * | get_child ()
| Returns the notebook child to which page belongs.
const Widget * | get_child () const
| Returns the notebook child to which page belongs.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child () const
| The child for this page.
Glib::PropertyProxy_ReadOnly< Widget * > | property_tab () const
| The tab widget for this page.
Glib::PropertyProxy_ReadOnly< Widget * > | property_menu () const
| The label widget displayed in the child's menu entry.
Glib::PropertyProxy< Glib::ustring > | property_tab_label ()
| The text of the tab widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tab_label () const
| The text of the tab widget.
Glib::PropertyProxy< Glib::ustring > | property_menu_label ()
| The text of the menu widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_menu_label () const
| The text of the menu widget.
Glib::PropertyProxy< int > | property_position ()
| The index of the child in the parent.
Glib::PropertyProxy_ReadOnly< int > | property_position () const
| The index of the child in the parent.
Glib::PropertyProxy< bool > | property_tab_expand ()
| Whether to expand the child's tab.
Glib::PropertyProxy_ReadOnly< bool > | property_tab_expand () const
| Whether to expand the child's tab.
Glib::PropertyProxy< bool > | property_tab_fill ()
| Whether the child's tab should fill the allocated area.
Glib::PropertyProxy_ReadOnly< bool > | property_tab_fill () const
| Whether the child's tab should fill the allocated area.
Glib::PropertyProxy< bool > | property_reorderable ()
| Whether the tab is reorderable by user action.
Glib::PropertyProxy_ReadOnly< bool > | property_reorderable () const
| Whether the tab is reorderable by user action.
Glib::PropertyProxy< bool > | property_detachable ()
| Whether the tab is detachable.
Glib::PropertyProxy_ReadOnly< bool > | property_detachable () const
| Whether the tab is detachable.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::NotebookPage > | wrap (GtkNotebookPage *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Holds properties of a Gtk::Notebook page.

Use Gtk::Notebook::get_page() to get a pointer to a NotebookPage object.

See also
  Notebook

Since gtkmm 3.96

## Constructor & Destructor Documentation

## ◆ NotebookPage()

Gtk::NotebookPage::NotebookPage | ( | NotebookPage && | src | ) |
| noexcept

## ◆ ~NotebookPage()

Gtk::NotebookPage::~NotebookPage | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_child() [1/2]

Widget * Gtk::NotebookPage::get_child | ( |  | ) |

Returns the notebook child to which page belongs.

Returns
  The child to which page belongs.

## ◆ get_child() [2/2]

const Widget * Gtk::NotebookPage::get_child | ( |  | ) | const

Returns the notebook child to which page belongs.

Returns
  The child to which page belongs.

## ◆ get_type()

static GType Gtk::NotebookPage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNotebookPage * Gtk::NotebookPage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNotebookPage * Gtk::NotebookPage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNotebookPage * Gtk::NotebookPage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NotebookPage & Gtk::NotebookPage::operator= | ( | NotebookPage && | src | ) |
| noexcept

## ◆ property_child()

Glib::PropertyProxy_ReadOnly< Widget * > Gtk::NotebookPage::property_child | ( |  | ) | const

The child for this page.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_detachable() [1/2]

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_detachable | ( |  | ) |

Whether the tab is detachable.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_detachable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_detachable | ( |  | ) | const

Whether the tab is detachable.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_menu()

Glib::PropertyProxy_ReadOnly< Widget * > Gtk::NotebookPage::property_menu | ( |  | ) | const

The label widget displayed in the child's menu entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_menu_label() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::NotebookPage::property_menu_label | ( |  | ) |

The text of the menu widget.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_menu_label() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::NotebookPage::property_menu_label | ( |  | ) | const

The text of the menu widget.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_position() [1/2]

Glib::PropertyProxy< int > Gtk::NotebookPage::property_position | ( |  | ) |

The index of the child in the parent.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_position() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::NotebookPage::property_position | ( |  | ) | const

The index of the child in the parent.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_reorderable() [1/2]

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_reorderable | ( |  | ) |

Whether the tab is reorderable by user action.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_reorderable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_reorderable | ( |  | ) | const

Whether the tab is reorderable by user action.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab()

Glib::PropertyProxy_ReadOnly< Widget * > Gtk::NotebookPage::property_tab | ( |  | ) | const

The tab widget for this page.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_expand() [1/2]

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_tab_expand | ( |  | ) |

Whether to expand the child's tab.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_expand() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_tab_expand | ( |  | ) | const

Whether to expand the child's tab.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_fill() [1/2]

Glib::PropertyProxy< bool > Gtk::NotebookPage::property_tab_fill | ( |  | ) |

Whether the child's tab should fill the allocated area.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_fill() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::NotebookPage::property_tab_fill | ( |  | ) | const

Whether the child's tab should fill the allocated area.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_label() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::NotebookPage::property_tab_label | ( |  | ) |

The text of the tab widget.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tab_label() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::NotebookPage::property_tab_label | ( |  | ) | const

The text of the tab widget.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NotebookPage > wrap | ( | GtkNotebookPage * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.